
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

This patch fixes a typo in the zImage boot wrapper (incorrect printf).

Signed-off-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Matthew Dharm <mdharm@momenco.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/boot/main.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/boot/main.c~ppc64-fix-typo-in-zimage-boot-wrapper arch/ppc64/boot/main.c
--- 25/arch/ppc64/boot/main.c~ppc64-fix-typo-in-zimage-boot-wrapper	2004-10-21 20:52:54.838130480 -0700
+++ 25-akpm/arch/ppc64/boot/main.c	2004-10-21 20:52:54.841130024 -0700
@@ -166,7 +166,7 @@ void start(unsigned long a1, unsigned lo
 		gunzip((void *)vmlinux.addr, vmlinux.size,
 			(unsigned char *)vmlinuz.addr, &len);
 		printf("done 0x%lx bytes\n\r", len);
-		printf("0x%x bytes of heap consumed, max in use 0x%\n\r",
+		printf("0x%x bytes of heap consumed, max in use 0x%x\n\r",
 		       (unsigned)(avail_high - begin_avail), heap_max);
 	} else {
 		memmove((void *)vmlinux.addr,(void *)vmlinuz.addr,vmlinuz.size);
_
